org.modeshape.jcr.federation

## Class FederatedDocumentChanges.FederatedParentChanges

- java.lang.Object
- - org.modeshape.jcr.federation.FederatedDocumentChanges.FederatedParentChanges

- All Implemented Interfaces:
    DocumentChanges.ParentChanges
  Enclosing class:
    FederatedDocumentChanges

      protected class FederatedDocumentChanges.FederatedParentChanges
      extends Object
      implements DocumentChanges.ParentChanges

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FederatedDocumentChanges.FederatedParentChanges()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAdded()` Returns a set of the ids of the parents that have been added.
    `String` | `getNewPrimaryParent()` Returns the id of the new primary parent if there is a new primary parent.
    `Set<String>` | `getRemoved()` Returns a set of the ids of the parents that have been removed.
    `boolean` | `hasNewPrimaryParent()` Checks if there is a new primary parent.
    `boolean` | `isEmpty()` Checks if there are any changes to the parent (appended/removed/primary parent changed)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedDocumentChanges.FederatedParentChanges

          protected FederatedDocumentChanges.FederatedParentChanges()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `DocumentChanges.ParentChanges`
      Checks if there are any changes to the parent (appended/removed/primary parent changed)
      Specified by:
        `isEmpty` in interface `DocumentChanges.ParentChanges`
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### hasNewPrimaryParent

          public boolean hasNewPrimaryParent()

      Description copied from interface: `DocumentChanges.ParentChanges`
      Checks if there is a new primary parent.
      Specified by:
        `hasNewPrimaryParent` in interface `DocumentChanges.ParentChanges`
      Returns:
        `true` if there is a new primary parent, or `false` otherwise

    - #### getAdded

          public Set<String> getAdded()

      Description copied from interface: `DocumentChanges.ParentChanges`
      Returns a set of the ids of the parents that have been added.
      Specified by:
        `getAdded` in interface `DocumentChanges.ParentChanges`
      Returns:
        a set containing the identifiers of the nodes that are now longer considered parents of this node; never null

    - #### getRemoved

          public Set<String> getRemoved()

      Description copied from interface: `DocumentChanges.ParentChanges`
      Returns a set of the ids of the parents that have been removed.
      Specified by:
        `getRemoved` in interface `DocumentChanges.ParentChanges`
      Returns:
        a set containing the identifiers of the nodes that are no longer considered parents of this node; never null

    - #### getNewPrimaryParent

          public String getNewPrimaryParent()

      Description copied from interface: `DocumentChanges.ParentChanges`
      Returns the id of the new primary parent if there is a new primary parent.
      Specified by:
        `getNewPrimaryParent` in interface `DocumentChanges.ParentChanges`
      Returns:
        either the id of the new primary parent, or `null`.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.